Bug 1259937 - dnf-plugin-system-upgrade should have explicit conflicts with older PackageKit
dnf-plugin-system-upgrade should have explicit conflicts with older PackageKit
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dnf-plugin-system-upgrade (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 16:42 EDT by Kalev Lember
Modified: 2015-09-18 14:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.4.1-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-17 21:31:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kalev Lember 2015-09-03 16:42:36 EDT
Older PackageKit assumed it was the only one handling offline system updates and didn't give dnf-plugin-system-upgrade a chance to do the offline upgrade.

Please add "Conflicts: PackageKit < 1.0.8" to dnf-plugin-system-upgrade to make sure that users don't attempt to use it together with any older PackageKit versions.dnf-plugin-system-upgrade while having older packagekit installed.
Comment 1 Will Woods 2015-09-03 17:03:09 EDT
Makes sense for F22 and later, but what about F21? Are there plans to backport 1.0.8 there?
Comment 2 Kalev Lember 2015-09-03 17:10:14 EDT
Ohh, I didn't you that dnf-plugin-system-upgrade is for F21 as well. I'll ask hughsie about the F21 backport when he's back from PTO on Monday.
Comment 3 Kalev Lember 2015-09-03 17:12:02 EDT
Argh, the typos. "Ohh, I didn't you" --> "Ohh, I didn't know"
Comment 4 Will Woods 2015-09-08 13:59:16 EDT
As per IRC discussion: 

< wwoods> hughsie: did you & kalev talk about PK 1.0.8 in F21?
< hughsie> wwoods, i did; we agreed just backporting the relevant fixes would be best in that case
< wwoods> hughsie: sounds reasonable to me. I guess that means I'll need different "Conflicts:" for F21?
[...]
< kalev> wwoods: I can do a pull request adding conflicts the right version numbers if you want?

So that's the plan, and the next dnf-plugin-system-upgrade build should contain appropriate "Conflicts:" items.
Comment 6 Fedora Update System 2015-09-15 15:07:18 EDT
dnf-plugin-system-upgrade-0.4.1-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15941
Comment 7 Fedora Update System 2015-09-15 15:07:18 EDT
dnf-plugin-system-upgrade-0.4.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15940
Comment 8 Fedora Update System 2015-09-15 15:07:26 EDT
dnf-plugin-system-upgrade-0.4.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15942
Comment 9 Fedora Update System 2015-09-16 00:52:42 EDT
dnf-plugin-system-upgrade-0.4.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dnf-plugin-system-upgrade'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15940
Comment 10 Fedora Update System 2015-09-16 21:02:13 EDT
dnf-plugin-system-upgrade-0.4.1-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dnf-plugin-system-upgrade'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15941
Comment 11 Fedora Update System 2015-09-16 21:05:53 EDT
dnf-plugin-system-upgrade-0.4.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dnf-plugin-system-upgrade'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15942
Comment 12 Fedora Update System 2015-09-17 21:31:25 EDT
dnf-plugin-system-upgrade-0.4.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-09-18 14:29:26 EDT
dnf-plugin-system-upgrade-0.4.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.